Allen & Overy Pension Scheme
You are not currently logged on
System Requirements
 

For the best view of the Allen & Overy Pension Scheme website, we recommend using an Internet browser version as outlined below. To use our online secure services, you must use a 128-bit encrypted browser. It will insure the highest possible security of any confidential information you view over the Internet.

In addition, the Allen & Overy Pension Scheme site provides a number of graphs and charts to help illustrate numeric data. In order to view these graphs your browser will need to support Java, a feature available when installing a browser.

The following browsers fit these criteria:

Microsoft Internet Explorer 7 and higher, with the exception of beta test versions.
If you are currently using an older version of Internet Explorer or would like to download Internet Explorer for the first time, please do so now. You will be taken to the Internet Explorer Web site.

Mozilla Firefox 3, with the exception of beta test versions
If you would like to download Mozilla Firefox for the first time, please do so now. You will be taken to Mozilla Firefox website.